net.i2p.router.tunnel

## Enum TunnelDispatcher.Location

- java.lang.Object
- - java.lang.Enum<TunnelDispatcher.Location>
  - - net.i2p.router.tunnel.TunnelDispatcher.Location

- All Implemented Interfaces:
    Serializable, Comparable<TunnelDispatcher.Location>
  Enclosing class:
    TunnelDispatcher

      public static enum TunnelDispatcher.Location
      extends Enum<TunnelDispatcher.Location>

  Location in the tunnel for RED logic

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IBGW`
    `OBEP`
    `PARTICIPANT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TunnelDispatcher.Location` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TunnelDispatcher.Location[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IBGW

          public static final TunnelDispatcher.Location IBGW

    - #### OBEP

          public static final TunnelDispatcher.Location OBEP

    - #### PARTICIPANT

          public static final TunnelDispatcher.Location PARTICIPANT

  - ### Method Detail

    - #### valueOf

          public static TunnelDispatcher.Location valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static TunnelDispatcher.Location[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TunnelDispatcher.Location c : TunnelDispatcher.Location.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared